Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connect_Strategy Class Reference

Define the interface for the connect strategy, i.e. the algorithm that controls how does the ORB establishes remote connections. More...

`#include <Connect_Strategy.h>`

Inheritance diagram for TAO_Connect_Strategy:

[legend]
Collaboration diagram for TAO_Connect_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Connect_Strategy (TAO_ORB_Core *orb)
| Constructor.
virtual | ~TAO_Connect_Strategy (void)
| Destructor.
virtual void | synch_options (ACE_Time_Value *val, ACE_Synch_Options &opt)=0
| Obtain the synch options that can be passed to ACE_Connector.
virtual int | wait (TAO_Connection_Handler *ch, ACE_Time_Value *val)=0
| Wait for the connection to be completed till a timeout occurs.
## Protected Attributes
TAO_ORB_Core * | orb_core_
| Cached copy of the ORB core pointer.

## Detailed Description

Define the interface for the connect strategy, i.e. the algorithm that controls how does the ORB establishes remote connections.

The thread that establishes remote connections can either make a blocking or a non-blocking connect. The strategy to wait for the connection completion can also be different.

This strategy controls how does the ORB schedules and waits for connection completion.

## Constructor & Destructor Documentation

TAO_Connect_Strategy::TAO_Connect_Strategy | ( | TAO_ORB_Core * | orb | ) |

| Constructor.

TAO_Connect_Strategy::~TAO_Connect_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_Connect_Strategy::synch_options | ( | ACE_Time_Value * | val,
|  | ACE_Synch_Options & | opt
| ) | `[pure virtual]`

| Obtain the synch options that can be passed to ACE_Connector. Implemented in TAO_Blocked_Connect_Strategy, TAO_LF_Connect_Strategy, and TAO_Reactive_Connect_Strategy.

virtual int TAO_Connect_Strategy::wait | ( | TAO_Connection_Handler * | ch,
|  | ACE_Time_Value * | val
| ) | `[pure virtual]`

| Wait for the connection to be completed till a timeout occurs. Implemented in TAO_Blocked_Connect_Strategy, TAO_LF_Connect_Strategy, and TAO_Reactive_Connect_Strategy.

## Member Data Documentation

TAO_ORB_Core* TAO_Connect_Strategy::orb_core_`[protected]`

| Cached copy of the ORB core pointer.

The documentation for this class was generated from the following files:

- Connect_Strategy.h
- Connect_Strategy.cpp